Skip to main content
Infrastructure/Tenants
GETInfrastructureSince 1.0SynchronousAuth Required

GetDepartmentTree

Get the full department hierarchy tree for the specified tenant.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • tenantUuidStringRequired

    UUID of the tenant to retrieve the department tree for

Query Parameters

  • rootUuidString

    UUID of the department to use as the root node; empty returns the full tree UUID of the department to use as the root node; empty returns the full tree

Responses

200 OK

On success, this API returns the following response structure.

  • dataObject

    The data value

    Example: (nested object)

Endpoint

GET/api/v1/tenants/{tenantUuid}/org/departments/tree

/api/v1/tenants/{tenantUuid}/org/departments/tree

Operation ID

GetDepartmentTree

Permalink

Request Example

curl -X GET '{host}/api/v1/tenants/{tenantUuid}/org/departments/tree' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "data": null
}

Change History

This API has no change history records yet.

View all change history